openapi: 3.0.3
info:
  title: 'WalletApp LPR'
  description: 'WalletApp LPR intergration api'
  version: 1.0.0
servers:
  -
    url: 'http://localhost'
paths:
  '/{licenseplate}':
    get:
      summary: 'LPR scan api.'
      description: 'This api allows you to scan a licenseplate and retrieve its known data'
      parameters:
        -
          in: query
          name: stream
          description: 'The external stream reference defined in the backoffice.'
          example: Lane_1
          required: false
          schema:
            type: string
            description: 'The external stream reference defined in the backoffice.'
            example: Lane_1
        -
          in: query
          name: has_credit
          description: 'Example value if credit needs to be set.'
          example: true
          required: false
          schema:
            type: boolean
            description: 'Example value if credit needs to be set.'
            example: true
        -
          in: header
          name: Authorization
          description: ''
          example: 'Bearer {YOUR_AUTH_KEY}'
          schema:
            type: string
        -
          in: header
          name: Content-Type
          description: ''
          example: application/json
          schema:
            type: string
        -
          in: header
          name: Accept
          description: ''
          example: application/json
          schema:
            type: string
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  is_member: true
                  has_credit: false
                  member_data:
                    user_exists: true
                    subscription_id: null
                    subscription_program: null
                    subscription_upgrade_program: null
                    licenseplate: K589BZ
                    user_identifier: ''
                    balance: 0
                    brand: FORD
                    color: WIT
                    type: PersonenAuto
                    admission: '2020'
                  is_taxi: 0
                properties:
                  is_member:
                    type: boolean
                    example: true
                  has_credit:
                    type: boolean
                    example: false
                  member_data:
                    type: object
                    example:
                      user_exists: true
                      subscription_id: null
                      subscription_program: null
                      subscription_upgrade_program: null
                      licenseplate: K589BZ
                      user_identifier: ''
                      balance: 0
                      brand: FORD
                      color: WIT
                      type: PersonenAuto
                      admission: '2020'
                  is_taxi:
                    type: integer
                    example: 0
        401:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  message: Unauthenticated
                properties:
                  message:
                    type: string
                    example: Unauthenticated
      tags:
        - Endpoints
    parameters:
      -
        in: path
        name: licenseplate
        description: 'The scanned Licenseplate.'
        example: K589BZ
        required: true
        schema:
          type: string
tags:
  -
    name: Endpoints
    description: ''
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: ''
security:
  -
    default: []
